---
layout: markdown_page
title: "Secret Detection Priorities, 17.0-17.11"
description: "GitLab's goal is to provide Secret Detection as part of the standard development process. Learn more!"
---

- TOC
{:toc}

## Secret Detection

| | |
| --- | --- |
| Stage | [Application Security Testing](/direction/application_security_testing/) |
| Content Last Reviewed | `2024-12-12` |
| Content Last Updated  | `2024-12-12` |

## Overview
Secret Detection is a group in the Application Security Testing stage. To learn more about this group, please take a look at the direction [Secret Detection](https://about.gitlab.com/direction/secure/secret-detection/secret-detection/) page.

## Purpose
This page is for high-level prioritization of the Secret Detection team for 17.0-17.11. It primarily includes feature/product items and is not a comprehensive list of everything that will be worked on such as bugs, implementation issues, documentation, or technical debt. It is not intended as a replacement or alternative for our issue boards. It is meant as an easily consumable single view of the main in-progress and upcoming work items for the Secret Detection group. It also allows mixing Epics and Issues in a single list.  The tables come from the [secret_detection.yml](https://gitlab.com/gitlab-com/www-gitlab-com/-/blob/master/data/product_priorities/secret_detection.yml) file.
This list is not a guarantee of timing or order of delivery. Rather, use this as a guide to see the top items we are working on and will be in the near future. The list purposefully does not extend out beyond a year to minimize a false sense of priority.

## Completed Work
1. May, 2024 - [Advanced vulnerability tracking for secret detection](https://gitlab.com/gitlab-org/gitlab/-/issues/434096)
2. May, 2024 - [Remote rulesets when overriding or disabling rules](https://gitlab.com/gitlab-org/gitlab/-/issues/425251)
3. June, 2024 - [Push protection (beta)](https://gitlab.com/groups/gitlab-org/-/epics/12729)
4. July, 2024 - [Expanded support of custom rules in pipeline secret detection](https://gitlab.com/gitlab-org/gitlab/-/issues/336395)
5. July, 2024 - [Push protection (self-managed)](https://gitlab.com/gitlab-org/gitlab/-/issues/412229)
6. August, 2024 - [Prevent project-level SAST/SD/IaC config files from interfering with policy-driven scans](https://gitlab.com/gitlab-org/gitlab/-/issues/414732)
7. September, 2024 - [Secret Detection support for Anthropic API keys](https://gitlab.com/gitlab-org/gitlab/-/issues/481547)
8. October, 2024 - [Push protection (generally available)](https://gitlab.com/groups/gitlab-org/-/epics/13107)
9. December, 2024 - [API to enable push protection for all projects in a group](https://gitlab.com/groups/gitlab-org/-/epics/15840)

## Priorities

| Priority | Name | Target release |
| -------- | ---- | -------------- | 
<% data.product_priorities.secret_detection.priorities.each.with_index do |priority, index| %>
| <%= index + 1 %> | [<%= priority.name %>](<%= priority.url %>) | `<%= priority.target_release.presence || "TBD" %>`  |
<% end %>

*This page may contain information related to upcoming products, features and functionality.

It is important to note that the information presented is for informational purposes only, so please do not rely on the information for purchasing or planning purposes.

Just like with all projects, the items mentioned on the page are subject to change or delay, and the development, release, and timing of any products, features, or functionality remain at the sole discretion of GitLab Inc.*
